Bio::MAGETAB::DesignElement(3)

NAME
Bio::MAGETAB::DesignElement - Abstract design element class

SYNOPSIS
 use Bio::MAGETAB::DesignElement;

DESCRIPTION
This class is an abstract class from which all MAGE-TAB DesignElement classes (Feature, Reporter, CompositeElement) are derived. It cannot be instantiated directly. See the BaseClass class for superclass methods.

ATTRIBUTES

chromosome (optional)
    The chromosome from which the design element is derived. This is primarily used in either the Reporter or CompositeElement subclass to support coordinate-based design elements in data matrices. It is possible that these attributes will be moved to a more suitable subclass in subsequent model versions (data type: String).

startPosition (optional)
    The start coordinate of the design element on the given chromosome (data type: Integer).

endPosition (optional)
    The end coordinate of the design element on the given chromosome (data type: Integer).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).